Package org.firebirdsql.gds

## Interface ConnectionParameterBuffer

All Superinterfaces:
  `java.lang.Iterable<Parameter>`, `ParameterBuffer`

All Known Subinterfaces:
  `DatabaseParameterBuffer`, `ServiceParameterBuffer`

All Known Implementing Classes:
  `DatabaseParameterBufferImp`, `ServiceParameterBufferImp`

    public interface ConnectionParameterBuffer
    extends ParameterBuffer

Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`Encoding` `getDefaultEncoding()`
`ParameterTagMapping` `getTagMapping()`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Method Detail

#### getTagMapping

    ParameterTagMapping getTagMapping()

Returns:
  The tag mapping.

#### getDefaultEncoding

    Encoding getDefaultEncoding()

Returns:
  The default encoding of string properties in this parameter buffer.